Skip to main content
`Ctrl`+`K`

# KSPBCGSLSetXRes

Sets the parameter governing when exact residuals will be used instead of computed residuals for `KSPCBGSL`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPBCGSLSetXRes(KSP ksp, PetscReal delta)

Logically Collective

## Input Parameters

- ksp - iterative context of type `KSPBCGSL`

- delta - computed residuals are used alone when delta is not positive

## Options Database Key

- -ksp_bcgsl_xres delta - Threshold used to decide when to refresh computed residuals

## See Also

KSP: Linear System Solvers, `KSPBCGSLSetEll()`, `KSPBCGSLSetPol()`, `KSP`, `KSPCBGSL`, `KSPBCGSLSetUsePseudoinverse()`

## Level

intermediate

## Location

src/ksp/ksp/impls/bcgsl/bcgsl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages